View Issue Details

IDProjectCategoryView StatusLast Update
0000322Adventure PHP FrameworkNeues Feature // New Featurepublic2017-09-05 22:15
ReporterChristianAchatzAssigned ToChristianAchatz 
PrioritynormalSeverityminorReproducibilityhave not tried
Status resolvedResolutionfixed 
Product Version3.3 
Target Version3.4Fixed in Version3.4 
Summary0000322: Allow usage of HtmlFormTag->formFill() for GORM DTOs
DescriptionATM, mapping of DTO data into a form is based on properties defined for the respective DTO. Since the GORM manages properties based on a dynamic array, GORM DTOs cannot be used to fill forms.

With this issue, the GORM should be extended to allow HtmlFormTag->formFill() and HtmlFormTag->formModel() usage.
TagsNo tags attached.
Codereferenz: ([Datei]:[Zeile])
Namespacemodules

Activities

ChristianAchatz

2017-08-30 19:59

administrator   ~0000788

For details, please refer to forum thread http://forum.adventure-php-framework.org/viewtopic.php?f=5&t=5667.

ChristianAchatz

2017-09-02 19:21

administrator   ~0000789

Draft implementation completed. See details in forum.

ChristianAchatz

2017-09-03 18:32

administrator   ~0000790

Completed implementation of class generation extension. See changes under https://github.com/AdventurePHP/code/commit/eebe5fac0c307abfa832b9cdea6b8e6aabaa18b5.

Documentation update to be written.

ChristianAchatz

2017-09-05 12:14

administrator   ~0000791

Successfully tested APF module UMGT to work with the new structure.

ChristianAchatz

2017-09-05 22:14

administrator   ~0000792

Completed documentation work. See changes under https://github.com/AdventurePHP/docs/commit/f10c82df58537bf23cbc67596629681e9f30fc82.

Issue History

Date Modified Username Field Change
2017-08-30 19:59 ChristianAchatz New Issue
2017-08-30 19:59 ChristianAchatz Note Added: 0000788
2017-08-30 20:00 ChristianAchatz Assigned To => ChristianAchatz
2017-08-30 20:00 ChristianAchatz Status new => assigned
2017-09-02 19:21 ChristianAchatz Note Added: 0000789
2017-09-03 18:32 ChristianAchatz Note Added: 0000790
2017-09-05 12:14 ChristianAchatz Note Added: 0000791
2017-09-05 22:14 ChristianAchatz Note Added: 0000792
2017-09-05 22:14 ChristianAchatz Status assigned => resolved
2017-09-05 22:14 ChristianAchatz Fixed in Version => 3.4
2017-09-05 22:14 ChristianAchatz Resolution open => fixed
2017-09-05 22:15 ChristianAchatz Target Version => 3.4